❖ MatchMove Banking API Specifications

Sections

Theme switcher

Create/Re-activate business

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Body Parameters

idstring
rolestring

Role of the business users. Can be retrieved from GET /users/enumerations/business_roles

namestring

The name of the busines.

Max length
50
preferred_namestring

Prefereed name

Max length
25
emailstring

Registration email for the business

mobile_country_codestring

Supported Country codes for the business can be retrieved from GET /users/enumerations/mobile_country_codes

mobilestring

Mobile number of the business

foundation_datestring

The date when the business was founded in standard date format

purpose_of_account_openingstring

The business purpose for opening the account

tax_id_typestring

Type of tax identification documents

tax_id_numberstring

Number of the tax identification document

tax_id_issuance_countrystring

Country where the tax document was issued

tax_id_date_issuedstring

Issued date of id type in standard date format

tax_id_date_expirystring

Id type expiry date in standard date format

client_reference_idstring

Client Reference ID to be passed

Max length
50
source_of_fundsstring

Source of Funds to be passed

Max length
100
additional_detailsobject

JSON meta data of additional detail

Response

200
Object

OK

Response Attributes

idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required

Registration email for the business.

nameobject Required
mobileobject Required
tax_identificationobject
foundation_datestring

Date when the business was founded.

account_typestring

Type of account. Business or individual

Enum values:
individualbusiness
statusobject Required
dateobject Required
risk_assessment_statusstring

Risk Evaluation of the Business

Enum values:
PENDINGIN_PROCESSCLEAREDREJECTED
client_reference_idstring | null
source_of_fundsstring | null

Source of funds for business

purpose_of_account_openingstring

The business purpose for opening the account.

client_ref_idstring
additional_detailsobject

JSON meta data of additional detail

rolestring

Role of the business users

400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_payload — Malformed form/JSON request body
  • invalid_model — Missing required fields in the request
  • validation_error — One or more request fields failed schema/business validation on create
  • invalid_required_request_parameters — Required request parameters are missing on create
  • customer_information_duplicate_error — Duplicate customer information (email/mobile/identification already in use) on create
  • already_completed_verification — The user has already completed verification
  • resource_user_id_invalid — The supplied user id is in an invalid format or not found (reactivation)
  • user_already_activated — Cannot activate an already active user (reactivation)
  • resource_user_reactivation_not_allowed — User reactivation is not allowed for the current status (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • restricted_resource — This V1 route is blocked for the current program_code
  • resource_user_business_id_rule — Parameter business_id is invalid (the referenced business_id does not exist or is not a business-type user) [create]
  • user_blocked_risk_threshold_exceeded — The user is risk-flagged/rejected and reactivation is disallowed [reactivation]
  • resource_user_already_terminated — The user is already blocked and the status cannot be updated (reactivation)
  • resource_user_conflict_email_restore — Cannot restore user, an active email already exists (reactivation)
  • resource_user_conflict_mobile_restore — Cannot restore user, an active mobile already exists (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • route_not_defined — Missing auth definition on the given route

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • internal_server_error — General application error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?